org.apache.solr.analytics.request

## Class AnalyticsRequestFactory

- java.lang.Object
- - org.apache.solr.analytics.request.AnalyticsRequestFactory

- All Implemented Interfaces:
    AnalyticsParams

      public class AnalyticsRequestFactory
      extends Object
      implements AnalyticsParams

  Parses the SolrParams to create a list of analytics requests.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Pattern` | `fieldFacetParamPattern`
    `static Pattern` | `fieldFacetPattern`
    `static Pattern` | `hiddenStatPattern`
    `static Pattern` | `queryFacetParamPattern`
    `static Pattern` | `queryFacetPattern`
    `static Pattern` | `rangeFacetParamPattern`
    `static Pattern` | `rangeFacetPattern`
    `static Pattern` | `statPattern`

    - ### Fields inherited from interface org.apache.solr.analytics.util.AnalyticsParams

      `ABSOLUTE_VALUE, ADD, ALL_STAT_LIST, ALL_STAT_SET, ANALYTICS, CONCATENATE, CONSTANT_DATE, CONSTANT_NUMBER, CONSTANT_STRING, DATE_MATH, DATE_OPERATION_SET, DEFAULT_ABBREVIATE_PREFIX, DEFAULT_HARDEND, DEFAULT_HIDDEN, DEFAULT_INCLUDE, DEFAULT_LIMIT, DEFAULT_OTHER, DEFAULT_SHOW_MISSING, DEFAULT_SORT_DIRECTION, DEPENDENCY, DIVIDE, END, EXPRESSION, FIELD_FACET, FILTER, GAP, HARDEND, HIDDEN, HIDDEN_EXPRESSION, INCLUDE_BOUNDARY, LIMIT, LOG, MULTIPLY, NEGATE, NUMERIC_OPERATION_SET, OFFSET, OTHER_RANGE, POWER, QUERY, QUERY_FACET, QUERY_RESULT, RANGE_FACET, REQUEST, RESULT, REVERSE, SHOW_MISSING, SORT_DIRECTION, SORT_STATISTIC, START, STAT_COUNT, STAT_MAX, STAT_MEAN, STAT_MEDIAN, STAT_MIN, STAT_MISSING, STAT_PERCENTILE, STAT_STANDARD_DEVIATION, STAT_SUM, STAT_SUM_OF_SQUARES, STAT_UNIQUE, STRING_OPERATION_SET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyticsRequestFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<AnalyticsRequest>` | `parse(IndexSchema schema, SolrParams params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### statPattern

          public static final Pattern statPattern

    - #### hiddenStatPattern

          public static final Pattern hiddenStatPattern

    - #### fieldFacetPattern

          public static final Pattern fieldFacetPattern

    - #### fieldFacetParamPattern

          public static final Pattern fieldFacetParamPattern

    - #### rangeFacetPattern

          public static final Pattern rangeFacetPattern

    - #### rangeFacetParamPattern

          public static final Pattern rangeFacetParamPattern

    - #### queryFacetPattern

          public static final Pattern queryFacetPattern

    - #### queryFacetParamPattern

          public static final Pattern queryFacetParamPattern

  - ### Constructor Detail

    - #### AnalyticsRequestFactory

          public AnalyticsRequestFactory()

  - ### Method Detail

    - #### parse

          public static List<AnalyticsRequest> parse(IndexSchema schema,
                                                     SolrParams params)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.